
import "./tasks/delly.wdl" as delly
import "./tasks/bcf2vcf.wdl" as bcf2vcf

workflow {{ project_name }}  {
	
	String SENTIEON_INSTALL_DIR
	String SENTIEONdocker
	String DELLYdocker
	String BCFdocker

	File tumor_bam
	File tumor_bam_idx
	File normal_bam
	File normal_bam_idx
	File ref_dir
	String fasta
	String sample_name
	String disk_size

	String BIGcluster_config
	String SMALLcluster_config

	call delly.delly as delly {
		input: 
		tumor_bam=tumor_bam,
		tumor_bam_idx=tumor_bam_idx,
		normal_bam=normal_bam,
		normal_bam_idx=normal_bam_idx,
		ref_dir=ref_dir,
		fasta=fasta,
		sample_name=sample_name,
		docker=DELLYdocker,
		disk_size=disk_size,
		cluster_config=SMALLcluster_config
	}

	call bcf2vcf.bcf2vcf as bcf2vcf {
		input:
		bcf=delly.bcf,
		bcf_index=delly.bcf_index,
		docker=BCFdocker,
		disk_size=disk_size,
		cluster_config=SMALLcluster_config,
		sample_name=sample_name
	}
}

